#!/bin/sh
# Shutdown the local agent
#
# Copyright(c) Sybase, Inc.
#
#
# @usage: uafshutdown.sh [-port <rmi-port>] [-U <username>] [-P <password>]  or
#         uafshutdown.sh [-port <rmi-port>] [-user <username>] [-password <password>]
#
#

ARGS=$@

if [ -z "${SYBASE_UA}" ]; then
    echo The environment variable SYBASE_UA must be defined.
    echo This directory contains the UAF bin, common, conf, ..etc. directories.
    exit 1
fi

if [ ! -d ${SYBASE_UA}/bin ]; then
    echo The directory defined by the environment variable SYBASE_UA = ${SYBASE_UA}.
    echo Does not contain a bin directory.  Please check and make sure the enviromnet
    echo has been set properly.
    exit 1;
fi

if [ ! -x ${SYBASE_UA}/bin/myenvClient ]; then
    echo The file "myenvClient" was not found in the ${SYBASE_UA}/bin directory.
    echo Please check the assignment of the SYBASE_UA environment variable.
    exit 1
fi

. ${SYBASE_UA}/bin/myenvClient

if [ ${UA_ENV_STATUS} -eq 1 ]; then
  echo Failed to properly initialize environment variables
  exit 1
fi

${SYBASE_JRE}/bin/java $bitwidth \
        -Dcom.sybase.ua.home=${SYBASE_UA} \
        -classpath ${CLASSPATH}:${SYBASE_UA}/server/lib/uaf-startup.jar \
        com.sybase.ua.startup.Shutdown \
        $ARGS

exit 0
